package canvas;

import jakarta.servlet.ServletContext;
import java.io.*;
import jakarta.servlet.ServletException;
import jakarta.servlet.http.HttpServlet;
import jakarta.servlet.http.HttpServletRequest;
import jakarta.servlet.http.HttpServletResponse;

public class DataUrlServlet2 extends HttpServlet {

    private static final long serialVersionUID = 7218792119875121767L;

    protected void process(HttpServletRequest request,
            HttpServletResponse response) throws ServletException, IOException {
        String dataURL = request.getParameter("dataURL");
        ServletContext sc = this.getServletContext();
        String path = sc.getRealPath("dataURL2.txt");
        File file = new File(path);        
        FileWriter writer = new FileWriter(file);
        try (BufferedWriter out = new BufferedWriter(writer)) {
            out.write(dataURL);
        }
        response.setContentType("text/plain");
        response.setHeader("Cache-Control", "no-cache");
        response.setCharacterEncoding("utf-8");
        response.getWriter().write("<a href='dataURL2.txt'>Ściągnij plik</a>");           
    }

    @Override
    protected void doGet(HttpServletRequest request,
            HttpServletResponse response) throws ServletException, IOException {
        process(request, response);
    }

    @Override
    protected void doPost(HttpServletRequest request,
            HttpServletResponse response) throws ServletException, IOException {
        process(request, response);
    }

    @Override
    public String getServletInfo() {
        return "Pobiera dane w postaci łańcucha znaków Base64.";
    }
}
